%define		php_name	php%{?php_suffix}
%define		modname	memcached
%define		status		stable
Summary:	Interface to memcached via libmemcached library
Summary(pl.UTF-8):	Interfejs do memcached z użyciem biblioteki libmemcached
Name:		%{php_name}-pecl-%{modname}
Version:	2.2.0
Release:	2
License:	PHP 3.01
Group:		Development/Languages/PHP
Source0:	http://pecl.php.net/get/%{modname}-%{version}.tgz
# Source0-md5:	28937c6144f734e000c6300242f44ce6
URL:		http://pecl.php.net/package/memcached/
BuildRequires:	%{php_name}-devel >= 4:5.2.0
BuildRequires:	cyrus-sasl-devel
BuildRequires:	libmemcached-devel >= 1.0
BuildRequires:	rpmbuild(macros) >= 1.650
BuildRequires:	zlib-devel
%{?requires_php_extension}
Suggests:	%{php_name}-pecl-igbinary
Provides:	php(%{modname}) = %{version}
Obsoletes:	php-pecl-memcached < 2.2.0-1
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This extension uses libmemcached library to provide API for
communicating with memcached servers.

In PECL status of this extension is: %{status}.

%description -l pl.UTF-8
Rozszerzenie to wykorzystuje bibliotekę memcached w celu udostępnienia
API do komunikacji z serwerami memcached.

To rozszerzenie ma w PECL status: %{status}.

%prep
%setup -q -c
mv %{modname}-%{version}/* .

%build
phpize
%configure \
	--enable-memcached-json
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	INSTALL_ROOT=$RPM_BUILD_ROOT \
	EXTENSION_DIR=%{php_extensiondir}

install -d $RPM_BUILD_ROOT%{php_sysconfdir}/conf.d
cat <<'EOF' > $RPM_BUILD_ROOT%{php_sysconfdir}/conf.d/%{modname}.ini
; Enable %{modname} extension module
extension=%{modname}.so

EOF
cat %{modname}.ini >> $RPM_BUILD_ROOT%{php_sysconfdir}/conf.d/%{modname}.ini

%clean
rm -rf $RPM_BUILD_ROOT

%post
%php_webserver_restart

%postun
if [ "$1" = 0 ]; then
	%php_webserver_restart
fi

%files
%defattr(644,root,root,755)
%doc CREDITS
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/conf.d/%{modname}.ini
%attr(755,root,root) %{php_extensiondir}/%{modname}.so
%changelog
* Thu Apr 16 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/php-pecl-memcached.git;a=log;h=auto/th/php-pecl-memcached-2.2.0-2

* Fri May 16 2014 Elan Ruusamäe <glen@delfi.ee> d30795a
- obsolete old php name
- release 2 (by relup.sh)

* Tue Apr 29 2014 Elan Ruusamäe <glen@delfi.ee> 87acf0f
- up to 2.2.0

* Sun Nov 24 2013 Elan Ruusamäe <glen@delfi.ee> 28bdaf6
- provide php(extname) to really be supporting multiple php versions

* Mon Oct 07 2013 Elan Ruusamäe <glen@delfi.ee> a08a0b3
- rebuild with libmemcached
- release 3 (by relup.sh)

* Fri Jul 19 2013 Elan Ruusamäe <glen@delfi.ee> 1da063a
- release 2 (by relup.sh)

* Fri Jun 21 2013 Elan Ruusamäe <glen@delfi.ee> 00a979f
- support building for multiple php versions

* Fri Sep 14 2012 Łukasz Kieś <kiesiu@pld-linux.org> 3ad4075
- updated to 2.1.0

* Thu Aug 23 2012 Elan Ruusamäe <glen@delfi.ee> 5976f15
- use php(core) as dependency to require php version
- release 2 (by relup.sh)

* Fri Aug 03 2012 Elan Ruusamäe <glen@delfi.ee> fd12710
- release 2 (by relup.sh)

* Sat Jun 09 2012 Łukasz Kieś <kiesiu@pld-linux.org> ecc1f4a
- updated to 2.0.1
- enabled json and igbinary serializers
- added default configuration to ini file

* Mon Mar 12 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 91eba0d
- release 10

* Fri Jan 13 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> af2be4f
- release 9

* Tue Nov 08 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 1946c83
- release 8

* Tue Nov 08 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 77207fb
- release 7

* Wed Aug 31 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 23a652a
- release 6

* Sun Jan 23 2011 sparky <sparky@pld-linux.org> 5f6946b
- BR: zlib-devel

* Tue Dec 21 2010 Paweł Gołaszewski <blues@pld-linux.org> c869a57
- typo

* Sat Dec 11 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 9a9e6ae
- release 5

* Mon Nov 22 2010 shadzik <shadzik@pld-linux.org> 344ee6c
- rel 4

* Mon Nov 01 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> aa085f5
- release 3

